https://kedro.org/ logo
#questions
Title
# questions
m

Muhammed Rashid

12/18/2023, 4:03 PM
requirements.txt (line 11)) (3.8.2) WARNING: kedro-datasets 2.0.0 does not provide the extra 'matplotlib-matplotlibwriter' WARNING: kedro-datasets 2.0.0 does not provide the extra 'pandas-csvdataset' WARNING: kedro-datasets 2.0.0 does not provide the extra 'pandas-exceldataset' WARNING: kedro-datasets 2.0.0 does not provide the extra 'pandas-parquetdataset' WARNING: kedro-datasets 2.0.0 does not provide the extra 'plotly-jsondataset' WARNING: kedro-datasets 2.0.0 does not provide the extra 'plotly-plotlydataset' hey, I faced this problem in latest kedro. because it is not installing. I can't add them in catalog.yml Can anyone help?
1
j

Juan Luis

12/18/2023, 4:05 PM
hi @Muhammed Rashid, it's a known issue https://github.com/kedro-org/kedro-plugins/issues/313 is it creating any problems for you, aside from the warnings?
m

Muhammed Rashid

12/18/2023, 4:06 PM
is it solved?
yh
j

Juan Luis

12/18/2023, 4:07 PM
it is not solved yet
n

Nok Lam Chan

12/18/2023, 4:08 PM
what does the
requirements.txt
looks like?
m

Muhammed Rashid

12/18/2023, 4:08 PM
oh, Will neptune ai work in kedro < 0.19.0?
ipython>=7.31.1, <8.0; python_version < '3.8' ipython~=8.10; python_version >= '3.8' jupyterlab_server>=2.11.1 jupyterlab~=3.0 jupyter~=1.0 kedro-datasets[pandas.CSVDataset, pandas.ExcelDataset, pandas.ParquetDataset, plotly.PlotlyDataset, plotly.JSONDataset, matplotlib.MatplotlibWriter]>=1.0 kedro-telemetry>=0.3.1 kedro-viz>=6.7.0, <7.0.0 kedro~=0.19.1 scikit-learn~=1.0 seaborn~=0.12.1 @Nok Lam Chan
👍🏼 1
I want to implement a model monitoring for my project. For that I need neptune. When I was installing neptune ai it version my version of kedro which 0.18.4 not supporting. So I installed 0.19.0. And this error.
a

Ankita Katiyar

12/18/2023, 4:10 PM
What’s the python version?
m

Muhammed Rashid

12/18/2023, 4:10 PM
3.10
n

Nok Lam Chan

12/18/2023, 4:11 PM
@Juan Luis I don’t understand the issue fully yet, I just try on my side and it works fine. IIRC it was a problem when we move to
pyproject.toml
, which we end up revert back to
setup.py
so it shouldn’t be a problem now?
FYR, I did
Copy code
pip install "kedro-datasets[pandas.CSVDataset, pandas.ExcelDataset, pandas.ParquetDataset, plotly.PlotlyDataset, plotly.JSONDataset, matplotlib.MatplotlibWriter]>=1.0"
m

Muhammed Rashid

12/18/2023, 4:13 PM
And also in new version no data folder when I installed kedro new
have to add it manually?
n

Nok Lam Chan

12/18/2023, 4:14 PM
And also in new version no data folder when I installed kedro new
This is the default if you just prompt yes to everything. It’s optional.
If you do
kedro new
it will ask you for a few prompts, the data folder is part of the questions
Copy code
Project Tools
=============
These optional tools can help you apply software engineering best practices.
To skip this step in future use --tools
To find out more: <https://docs.kedro.org/en/stable/starters/new_project_tools.html>

Tools
1) Lint: Basic linting with Black and Ruff
2) Test: Basic testing with pytest
3) Log: Additional, environment-specific logging options
4) Docs: A Sphinx documentation setup
5) Data Folder: A folder structure for data management
6) PySpark: Configuration for working with PySpark
7) Kedro-Viz: Kedro's native visualisation tool
m

Muhammed Rashid

12/18/2023, 4:17 PM
kedro[pandas.CSVDataset, pandas.ExcelDataset, pandas.ParquetDataset, plotly.PlotlyDataset, plotly.JSONDataset, matplotlib.MatplotlibWriter]>=1.0 won't this work?
earlier this was used right?
n

Nok Lam Chan

12/18/2023, 4:18 PM
this should work
m

Muhammed Rashid

12/18/2023, 4:19 PM
[TerminalIPythonApp] WARNING | Error in loading extension: kedro.ipython Check your config files in /Users/rashid/.ipython/profile_default Traceback (most recent call last): File "/Applications/anaconda3/envs/sales-project/lib/python3.10/site-packages/kedro/io/core.py", line 145, in from_config class_obj, config = parse_dataset_definition( File "/Applications/anaconda3/envs/sales-project/lib/python3.10/site-packages/kedro/io/core.py", line 396, in parse_dataset_definition raise DatasetError(f"Class '{dataset_type}' not found, is this a typo?") kedro.io.core.DatasetError: Class 'pandas.CSVDataSet' not found, is this a typo? The above exception was the direct cause of the following exception: Traceback (most recent call last): File "/Applications/anaconda3/envs/sales-project/lib/python3.10/site-packages/IPython/core/shellapp.py", line 282, in init_extensions self.shell.extension_manager.load_extension(ext) File "/Applications/anaconda3/envs/sales-project/lib/python3.10/site-packages/IPython/core/extensions.py", line 76, in load_extension return self._load_extension(module_str) File "/Applications/anaconda3/envs/sales-project/lib/python3.10/site-packages/IPython/core/extensions.py", line 93, in _load_extension if self._call_load_ipython_extension(mod): File "/Applications/anaconda3/envs/sales-project/lib/python3.10/site-packages/IPython/core/extensions.py", line 145, in _call_load_ipython_extension mod.load_ipython_extension(self.shell) File "/Applications/anaconda3/envs/sales-project/lib/python3.10/site-packages/kedro/ipython/__init__.py", line 46, in load_ipython_extension reload_kedro() File "/Applications/anaconda3/envs/sales-project/lib/python3.10/site-packages/kedro/ipython/__init__.py", line 104, in reload_kedro catalog = context.catalog File "/Applications/anaconda3/envs/sales-project/lib/python3.10/site-packages/kedro/framework/context/context.py", line 188, in catalog return self._get_catalog() File "/Applications/anaconda3/envs/sales-project/lib/python3.10/site-packages/kedro/framework/context/context.py", line 232, in _get_catalog catalog = settings.DATA_CATALOG_CLASS.from_config( File "/Applications/anaconda3/envs/sales-project/lib/python3.10/site-packages/kedro/io/data_catalog.py", line 296, in from_config datasets[ds_name] = AbstractDataset.from_config( File "/Applications/anaconda3/envs/sales-project/lib/python3.10/site-packages/kedro/io/core.py", line 149, in from_config raise DatasetError( kedro.io.core.DatasetError: An exception occurred when parsing config for dataset 'data': Class 'pandas.CSVDataSet' not found, is this a typo?
But conflict between versions
j

Juan Luis

12/18/2023, 4:22 PM
please use
pandas.CSVDataset
rather than
pandas.CSVDataSet
👍🏼 1
👍 1
👍🏽 1
it was a problem when we move to
pyproject.toml
, which we end up revert back to
setup.py
so it shouldn’t be a problem now?
yes and no. in the long run we need to move away from these names, they're non standard
n

Nok Lam Chan

12/18/2023, 4:28 PM
Ah, right. The
DataSet
has been renamed to
Dataset
, so as the extras depedencies
m

Muhammed Rashid

12/18/2023, 5:15 PM
Thank you it worked.
@Nok Lam Chan Thank you too.
K 2
3 Views